#350 AIX install fails

3.1.2
closed
nobody
5
2012-08-14
2007-06-19
Anonymous
No

Install of ooRexx 3.1.2 on AIX 5.3 (5300-04-01) fails with the following message:

CAUTION: Detected a previous rexx installation!
Please deinstall the old rexx product.

Unable to deinstall (don't think it was ever installed but might have been from IBM way back when). In any case the deinstall fails and the OVERWRITE option doesn't help.

What is being checked here or needs to be cleaned up to allow the install to work?

Thanks,
Bill

otislafayette@yahoo.com

Discussion

  • Rainer Tammer

    Rainer Tammer - 2007-10-08

    Logged In: YES
    user_id=180014
    Originator: NO

    Hello,
    sorry for the delayed answer...

    The installer checks if the following files are present:

    if [ -f /usr/bin/rexx ] ||
    [ -f /usr/bin/rexx.img ] ||
    [ -f /usr/bin/rexxc ] ||
    [ -f /usr/bin/rxqueue ] ||
    [ -f /usr/bin/rxsubcom ] ||
    [ -f /usr/include/rexx.h ] ||
    [ -f /usr/lib/librexx.so ] ||
    [ -f /usr/lib/librexxutil.so ] ||
    [ -f /usr/lib/librxsock.so ]
    then

    If one if these files is present then the install aborts.
    This basically checks if an old IBM Object REX / ooRexx was installed.
    All Rexx versions prior to ooRexx 3.1.x need to be installed manually.

    If no installp/rpm package with an old Rexx is installed on
    this system you need to manually delete the above files.

    Bye
    Rainer

     
  • Rainer Tammer

    Rainer Tammer - 2008-11-01

    Hello,
    I think this can be closed.
    Bye
    Rainer

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks